nixp.ru v3.0

26 мая 2017,
пятница,
08:44:42 MSK

DevOps с компанией «Флант»
joni написал 18 марта 2009 года в 11:57 (477 просмотров) Ведет себя неопределенно; открыл 3 темы в форуме, оставил 9 комментариев на сайте.

Привет всем!

Уверен многие из вас уже настраивали сервера для хостинга.

Так вот у меня просьба посоветуйте что должно стоять и какие программы, версии, итд необходимо для более современного хостинг сервера.

php4 / php5 / PERL

mySQL 3 / 4 / 5

доступ по ftp итд. Буду рад куче мануалам на тему самих программ и их установок

программы бесплатные

// Тему переместил(а) Dmitry Shurupov из форума «Железо в UNIX/Linux-системах».

metal

Можешь понаслаждаться, только думаю не осилишь столько флейма.

http://www.nixp.ru/cgi-bin/forum/YaBB.pl?board=nocomment;action=display;num=1228826028;start=0

Дмитрий Шурупов

IMHO (отчасти занимаюсь поддержкой хостинга):

* Gentoo Linux

* Apache 2.2

* PHP 5

* Perl 5.8.x

* MySQL 5.0/5.1

* ProFTPD

Первый пункт без видимых проблем меняется на тот же Debian GNU/Linux.

joni

А почта?

pol

а второй на lighttpd

Дмитрий Шурупов
pol
а второй на lighttpd

Во-первых, с видимыми проблемами. А во-вторых, зачем lighttpd, когда есть nginx?

Насчет почты: Postfix (smtp), Courier (imap), dspam (фильтр), RoundCube (web-морда) ?

pol

что бы проблем было меньше :), а насчёт последнего тогда уж nginx + Apache

botInca

1. FreeBSD 7.1

2. Apache 1.3 или 2.0, но никак не 2.2

5. MySQl 5.1

6. FTP-сервер, исходя из задач. Вполне может статься, что хватит и штатного.

Фронтэндом можно поставить nginx

Что касается почты, то МТА — постфикс или экзим, MDA — cyrus-imapd (очень могутна штука, но не очень удобна для управления ящиками) либо dovecot. Веб-морда — лёгкий roundcube или мегафункциональная монстроподобная хорда.

Ну и в первом же ответе есть правильая ссылка

Дмитрий Шурупов
botInca
2. Apache 1.3 или 2.0, но никак не 2.2

Что с ним не так?

Code Monkey

похоже что 2.2 считают unstable и для хостинга не достаточно кошерным.

joni
Dmitry Shurupov
IMHO (отчасти занимаюсь поддержкой хостинга):

* Gentoo Linux

* Apache 2.2

* PHP 5

* Perl 5.8.x

* MySQL 5.0/5.1

* ProFTPD

Первый пункт без видимых проблем меняется на тот же Debian GNU/Linux.

Как у вас работает ProFTPD. Как анонимный FTP сервер?

Дмитрий Шурупов

> Как у вас работает ProFTPD. Как анонимный FTP сервер?

Работает с базой пользователей в MySQL (они «заводятся» в систему через NSS).